PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerMatlabPutArray

Puts an array into the MATLAB viewer.

### Synopsis

    PetscErrorCode  PetscViewerMatlabPutArray(PetscViewer mfile,int m,int n,const PetscScalar *array,const char *name)

Not collective: only processor zero saves the array

### Input Parameters

| mfile | - the viewer
| m,n | - the dimensions of the array
| array | - the array (represented in one dimension)
| name | - the name of the array

### Notes

Only writes array values on processor 0.

### Level

advanced

### Location

src/sys/classes/viewer/impls/matlab/vmatlab.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages